For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
      • GETList Smart Views
      • POSTCreate a Smart View
      • GETGet a single Smart View
      • PUTUpdate a Smart View
      • DELDelete a Smart View
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Search & ReportingSmart Views

List Smart Views

||View as Markdown|
GET
https://api.close.com/api/v1/saved_search/
GET
/api/v1/saved_search/
$curl https://api.close.com/api/v1/saved_search/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "date_created": "2021-05-20T18:37:35.936000+00:00",
5 "date_updated": "2021-05-20T18:37:35.936000+00:00",
6 "description": "",
7 "id": "save_cxgvcccaFJh6uGE3S6x8YYt61TLTd6MG4JiYLD1Eaja",
8 "is_shared": true,
9 "is_user_dependent": false,
10 "name": "All Leads",
11 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
12 "query": null,
13 "s_query": {
14 "query": {
15 "negate": false,
16 "type": "match_all"
17 },
18 "results_limit": null,
19 "sort": []
20 },
21 "type": "lead",
22 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
23 },
24 {
25 "date_created": "2021-05-20T18:42:47.015000+00:00",
26 "date_updated": "2021-05-20T18:42:47.015000+00:00",
27 "description": "",
28 "id": "save_fV7sewhM4FOCFs1m677k2OuxV8RuzUKMHxH8OQEEUjU",
29 "is_shared": false,
30 "is_user_dependent": false,
31 "name": "All Contacts",
32 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
33 "query": null,
34 "s_query": {
35 "query": {
36 "negate": false,
37 "type": "match_all"
38 },
39 "results_limit": null,
40 "sort": []
41 },
42 "type": "contact",
43 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
44 }
45 ],
46 "has_more": false
47}
Accepts: - A `type` filter that accepts either `lead` or `contact`. Defaults to `lead`. - A `type__in` filter that can be used to select multiple comma-separated types: `lead,contact`.
Was this page helpful?
Previous

Smart Views

Next

Create a Smart View

Built with

Accepts:

  • A type filter that accepts either lead or contact. Defaults to lead.
  • A type__in filter that can be used to select multiple comma-separated types: lead,contact.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
typeenum or nullOptional
type__inlist of enumsOptional

Response

Successful response
datalist of objects
has_moreboolean

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error